[Overview][Constants][Types][Classes][Index] | Reference for unit 'IBConnection' (#fcl)

# TIBConnection.OnLogin

Event triggered when a login prompt needs to be shown.

## Declaration

Source position: ibconnection.pp line 141

`published property TIBConnection.OnLogin : TLoginEvent;`

## Description

OnLogin is triggered when the connection needs a login prompt when connecting: it is triggered when the LoginPrompt property is True, after the BeforeConnect event, but before the connection is actually established.

## See also

#fcl.db.TCustomConnection.BeforeConnect |  | Event triggered before a connection is made.
TSQLConnection.LoginPrompt
#fcl.db.TCustomConnection.Open |  | Makes the connection to the server
TSQLConnection.OnLogin